Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 106212 - Add a module to platform which provides JAX-WS access to custom modules.
Add a module to platform which provides JAX-WS access to custom modules.
Status: CLOSED WONTFIX
Product: webservices
Classification: Unclassified
Component: JAX-WS
6.x
All All
: P3 (vote)
: TBD
Assigned To: Roderico Cruz
issues@webservices
:
Depends on: 96711
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 23:04 UTC by lkishalmi
Modified: 2009-05-11 13:43 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lkishalmi 2007-06-09 23:04:41 UTC
Currently there is no convenient way to add a custom module to a NB platform
application which uses WebServices with JAX-WS. It would be nice to add a module
to the platform cluster (maybe disabled by default) that can provide JAX-WS
access to other modules.

There is a JAX-WS module in Java1 cluster but it's limited only to some friends.

The only way is to package up a custom library wrapper module for JAX-WS.
Comment 1 Jesse Glick 2007-06-10 00:06:29 UTC
Existing module could be given general, rather than friend, access; I'm not sure
why it has friend-only access since it is obviously based on APIs which are
supposed to be stable.

Unlikely to put anything of the sort in the platform cluster. Issue #96711 would
anyway make it unnecessary (assuming you are targeting a JRE version which
includes the desired packages), since access to JRE packages would be permitted
by default.
Comment 2 Jiri Prox 2007-09-17 21:44:16 UTC
Obsolete milestone, please reevaluate
Comment 3 lkishalmi 2007-10-01 13:39:20 UTC
This issue seems to be gone, however using Java 6 + JAX-WS 2.1 API + NetBeans Platform is still not possible.
Comment 4 lkishalmi 2007-10-02 10:35:12 UTC
Adding JAX-WS 2.1 and JAXB 2.1 Libraries are still not possible to an NB Platform application as it requires friendship.
Comment 5 lkishalmi 2007-10-02 10:53:27 UTC
I've just checked the sources and it seems that "JAX-WS 2.1 and JAXB 2.1 Libraries" is OK as it provides the API
Libraries to standard java projects.

The thing is really needed is JAX WS 2.1 API module, which contains JAX-WS 2.1 and JAXB 2.1 API without the runtime.
Unfortunately or Fortunately the NetBeans classloader rules doesn't allow to load the runtime classes even they are
present in java 6 (for JAX WS 2.0). So We still have to provide an other module with runtime jars in order to make
NetBeans platform usable as a Rich Client Platform!
Comment 6 Jesse Glick 2008-02-23 16:27:42 UTC
Possibly WONTFIX since #96711 is implemented for 6.1.
Comment 7 lkishalmi 2009-05-11 13:43:04 UTC
Really solved. Closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo